--- same.el.orig	Tue Mar 12 19:41:34 1996
+++ same.el	Tue Nov 25 17:38:27 1997
@@ -3,6 +3,8 @@
 ;;     Author:  Minoru Tamura (tamura@dbg.bs1.fc.nec.co.jp)
 ;;	Please send suggestions and corrections to the above address.
 ;;
+;;     Patched by Yoichi Hirose (ik7y-hrs@asahi-net.or.jp) for JG project
+;;
 ;;  This file contains same, a free soft puzzle game for GNU Emacs.
 
 ; SAME GAME for Emacs ver. 1.2A 谷 (95/02/18) by TAMURA Company
@@ -96,7 +98,8 @@
  	      ((eq (string-to-int mule-version) 1)
  	       (make-vector 256 'same-null))
  	      ((eq (string-to-int mule-version) 2)
- 	       (list 'keymap (make-vector 256 'same-null)))))
+	       (list 'keymap (make-vector 256 'same-null)))
+	      (t (make-keymap))))
   (define-key same-mode-map "\C-l" 'redraw-display)
   (define-key same-mode-map " " 'same-space)
   (define-key same-mode-map "\C-m" 'same-cancel)
@@ -642,7 +645,8 @@
   (let ((buf (get-buffer "*same-temp*")))
     (princ (list same-num same-koma same-quick
 		 same-map same-gets same-rests same-stage same-yk) buf))
-  (write-file same-save-file)
+  (let ((require-final-newline nil))
+    (write-file same-save-file))
   (kill-buffer "same.sv")
   (same-kill-buffers)
   (error "save OK!")
@@ -956,7 +960,8 @@
 			    (insert (format "%06d%04d" (nth 0 x) (nth 1 x)))))
 		(append same-history41 same-history42
 			same-history51 same-history52))
-	(write-file same-indv-file)
+	(let ((require-final-newline nil))
+	  (write-file same-indv-file))
 	(kill-buffer same-same)))
   (if (= (/ flag 2) 1)
       (progn
@@ -967,7 +972,8 @@
 	    (insert (format "%10s%06d%04d" (nth 0 x) (nth 1 x) (nth 2 x)))))
 		(append same-ghistory41 same-ghistory42
 			same-ghistory51 same-ghistory52))
-	(write-file same-grp-file)
+	(let ((require-final-newline nil))
+	  (write-file same-grp-file))
 	(kill-buffer same-gsame)))
   )
